<script setup lang="ts">
import type { Stock } from '@/types/Stock';
import { nextTick, onMounted, provide, ref } from 'vue';

import SProductDialog from './SProductDialog.vue';
import StockProductTableDetail from './StockProductTableDetail.vue';
import CheckStockDialog from './CheckStockDialog.vue';
import ImportDialog from './ImportDialog.vue';
import ShowReceiptDialog from './ShowReceiptDialog.vue';
import { useCheckStockStore } from '@/stores/checkstock';
import {useStockStore} from "@/stores/stock"
import CheckStockHistoryDialog from './CheckStockHistoryDialog.vue';

const stockStore = useStockStore()
const checkStockStore = useCheckStockStore()
// const stockItem:Stock[] = [
// { id: 1, name: 'ไซรัป', minimum: 10, balance:15,unit:'ขวด', price:225},
// { id: 2, name: 'เมล็ดกาแฟ', minimum: 10, balance:4,unit:'กิโลกรัม', price:400},
// { id: 3, name: 'ผงชาไทย', minimum: 10, balance:6,unit:'กิโลกรัม', price:300},
// { id: 4, name: 'ผงโกโก้', minimum: 10, balance:5,unit:'กิโลกรัม', price:350},
// { id: 5, name: 'ผงชาเขียว', minimum: 10, balance:8,unit:'กิโลกรัม', price:360},
// { id: 6, name: 'นมจืด', minimum: 10, balance:3,unit:'กิโลกรัม', price:120},
// { id: 7, name: 'น้ำเชื่อม', minimum: 10, balance:8,unit:'ลิตร', price:250},
// { id: 8, name: 'วิปปิ่งครีม', minimum: 10, balance:11,unit:'ลิตร', price:150},
// { id: 9, name: 'น้ำผึ้ง', minimum: 10, balance:14,unit:'ลิตร', price:95},
// { id: 10, name: 'ครีมเทียม', minimum: 10, balance:12,unit:'ลิตร', price:120},
// { id: 11, name: 'น้ำตาลคาราเมล', minimum: 10, balance:4,unit:'กิโลกรัม', price:120},
// { id: 12, name: 'ไข่มุก', minimum: 10, balance:6,unit:'กิโลกรัม', price:35},
// { id: 13, name: 'เมล็ดมะขามคั่ว', minimum: 10, balance:10,unit:'กิโลกรัม', price:250},
// { id: 14, name: 'กีวี', minimum: 10, balance:11,unit:'กิโลกรัม', price:150},
// ]

const search =ref('')
const loading = ref(false)
function openShowReceipt(){
  stockStore.dialogShowReceipt =!stockStore.dialogShowReceipt
}
</script>
<template>
    <v-container>
      <v-row no-gutters>
            <v-col cols="12" md="5" >
                <v-text-field
                v-model="stockStore.search"
                density="compact"
                variant="solo"
                label="Search Stock Item"
                append-inner-icon="mdi-magnify"
                single-line
                hide-details

                style="width: 200px;
                padding-bottom: 20px;"
                >
                </v-text-field>
            </v-col>
            <v-col cols="12" md="6" style="padding-top: 0px; "  >
            <div><v-btn prepend-icon="mdi-plus" style="margin-left: 500px;background-color: #47BB59 ;color: white;" @click="stockStore.openAddDialog ">Product Add</v-btn></div>  
            </v-col>
        </v-row>
         <v-row  no-gutters>
           <v-sheet width="1250" height="526"  style="background-color: #E7D0B9; border: rgb(112, 73, 31) solid 3px;">
            <stock-product-table-detail></stock-product-table-detail>
         <v-row no-gutters>
        <!-- 3 BTN  -->
         <v-row no-gutters>
         <v-col cols="12" md="3"  style="padding-top: 0px;" > <div><v-btn prepend-icon="mdi-receipt-text" style="margin-left: 550px;" @click="openShowReceipt()" >Receipt</v-btn></div></v-col>
            <v-col  cols="12" md="3"  style="padding-top: 0px; " > <div><v-btn prepend-icon="mdi-file-import" style="margin-left: 95px; background-color: #0D47A1; color: white;" @click="stockStore.openImportDialog" >Import</v-btn></div></v-col>
            <v-col cols="12" md="3" style="padding-top: 0px; " ><div><v-btn @click="stockStore.openCheckDialog" prepend-icon="mdi-package-variant-closed-check" style="margin-left: 120px; background-color: #FFCA28;" >Check Stock</v-btn></div></v-col>
           <!-- <v-col cols="12" md="3"  style="padding-top: 0px; " > <div><v-btn prepend-icon="mdi-history" style="margin-left: 10px;" >Check Stock History</v-btn></div></v-col>-->
          </v-row>
          </v-row>
           </v-sheet>
           
         </v-row>   
    </v-container>
    <s-product-dialog></s-product-dialog>
    <check-stock-dialog></check-stock-dialog>
    <import-dialog></import-dialog>
    <show-receipt-dialog></show-receipt-dialog>
    <check-stock-history-dialog></check-stock-history-dialog>
</template>
<style scoped>
/* Add a style for the custom class */
.custom-background-color{
  background-color: rgb(0, 191, 255); /* Set your desired background color */
}
</style>